#pragma once

#define PLUGIN_TYPE_NETWORK 0x1
#define PLUGIN_TYPE_FILTER  0x2
void configErrorPush(const char* err);

/* This is the common API for plugins. */
unsigned int pluginType();
const char* pluginName();

#ifndef __NETWORK_H__
    /* This one's for network plugins. */
    void* pluginConnect(const char* host, int port);
    int pluginSocketGet(void* connection);
    int pluginReadData(void* connection, char* buffer, int buffer_len);
    int pluginSendData(void* connection, const char* buffer, int buffer_len);
    void* pluginSocketDone(void* connection);
#endif
